Bug 119904 - Syntax error in userhelper.te
Summary: Syntax error in userhelper.te
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: policy (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
high
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Ben Levenson
URL:
Whiteboard: triage|leonardjo|closed|rawhide
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-04-02 23:53 UTC by Aleksey Nogin
Modified: 2007-11-30 22:10 UTC (History)
2 users (show)

Fixed In Version: 1.9.2-8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-10 17:44:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Aleksey Nogin 2004-04-02 23:53:33 UTC
userhelper.te has a line:

type userhelper_t, domain, privlog, privrole, privowner, auth_chkpwd,
privfd, ifdef(`user_canbe_sysadm', `privuser');

If user_canbe_sysadm is not defined, this is a syntax error. The line
should probably be fixed as

type userhelper_t, domain, privlog, privrole, privowner, auth_chkpwd,
privfd ifdef(`user_canbe_sysadm', `, privuser');

i.e. move the coma inside the ifdef.

Comment 1 Daniel Walsh 2004-04-03 05:21:33 UTC
Fixed in policy-1.9.2-8


Note You need to log in before you can comment on or make changes to this bug.